org.osgi.resource.dto

## Class WiringDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.resource.dto.WiringDTO

Direct Known Subclasses:
  BundleWiringDTO.NodeDTO

    public class WiringDTO
    extends DTO

Data Transfer Object for a Wiring node.

Author:
  $Id: 8dc3844e57eae338ddc2565e20b93360ea390382 $

### Field Summary

Fields
`List<CapabilityRefDTO>` `capabilities` The references to the capabilities for the wiring node.
`int` `id` The unique identifier of the wiring node.
`List<WireDTO>` `providedWires` The provided wires for the wiring node.
`List<WireDTO>` `requiredWires` The required wires for the wiring node.
`List<RequirementRefDTO>` `requirements` The references to the requirements for the wiring node.
`int` `resource` The identifier of the resource associated with the wiring node.

### Constructor Summary

Constructors
Constructor and Description
`WiringDTO()`

### Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public int id

The unique identifier of the wiring node.

This identifier is transiently assigned and may vary across restarts.

#### capabilities

    public List<CapabilityRefDTO> capabilities

The references to the capabilities for the wiring node.

See Also:
  `Wiring.getResourceCapabilities(String)`

#### requirements

    public List<RequirementRefDTO> requirements

The references to the requirements for the wiring node.

See Also:
  `Wiring.getResourceRequirements(String)`

#### providedWires

    public List<WireDTO> providedWires

The provided wires for the wiring node.

See Also:
  `Wiring.getProvidedResourceWires(String)`

#### requiredWires

    public List<WireDTO> requiredWires

The required wires for the wiring node.

See Also:
  `Wiring.getRequiredResourceWires(String)`

#### resource

    public int resource

The identifier of the resource associated with the wiring node.

See Also:
  `ResourceDTO.id`, `Wiring.getResource()`

### Constructor Detail

#### WiringDTO

    public WiringDTO()